<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:rich="http://richfaces.org/rich"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <rich:messages globalOnly="true" styleClass="message"/>
            <s:div id="globalDiv">
                <h1>#{messages['gazelle.hl7.validator.HL7MessageProfiles']}</h1>
                <s:div id="listDiv">
                    <ui:decorate template="/layout/panels/_panel_title.xhtml">
                        <ui:define name="panel_title">
                            #{messages['gazelle.hl7mpr.searchProfileByOid']}
                        </ui:define>
                        <div class="form-horizontal">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml" >
                                <ui:param name="id" value="searchOidDecorate"/>
                                <ui:define name="label">
                                    <h:outputText value="#{messages['gazelle.hl7mpr.profileOid']}"/>
                                </ui:define>
                                <h:inputText styleClass="form-control" id="searchOidDecorate"
                                             value="#{hl7MPManagerBean.selectedOid}"/>
                                <a4j:commandButton id="searchButton"
                                                   action="#{hl7MPManagerBean.getMessageProfileByOid()}"
                                                   styleClass="gzl-btn-blue"/>
                            </s:decorate>
                        </div>
                    </ui:decorate>
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:define name="panel_title">
                            #{messages['gazelle.hl7mpr.ListOfProfiles']}
                        </ui:define>
                        #{hl7MPManagerBean.displayProfilesList()}
                        <rich:dataTable id="profilesTable"
                                        rendered="#{hl7MPManagerBean.messageProfilesReferences != null}"
                                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                        value="#{hl7MPManagerBean.getAllMessageProfilesReferences()}"
                                        var="currentProfile"
                                        render="ds">
                            <ui:include src="/columns/profileReferences.xhtml">
                                <ui:param name="currentProfile" value="#{currentProfile}"/>
                            </ui:include>
                            <g:column id="actionColumn">
                                <ui:define name="header">#{messages['gazelle.hl7mpr.Action']}</ui:define>
                                <div class="gzl-never-wrap">
                                    <h:commandLink id="viewActionButton"
                                                   title="#{messages['gazelle.hl7.validator.ViewProfile']}"
                                                   action="#{hl7MPManagerBean.displaySelectedMessageProfile(currentProfile)}"
                                                   oncomplete="jq162('#iconPopup').modal('show');">
                                        <span class="gzl-icon-search"></span>
                                    </h:commandLink>
                                    <h:commandLink id="downloadActionButton"
                                                   title="#{messages['gazelle.hl7.validator.DownloadProfile']}"
                                                   actionListener="#{hl7MPManagerBean.downloadSelectedProfile(currentProfile)}"
                                                   oncomplete="jq162('#iconPopup').modal('show');">
                                        <span class="gzl-icon-download"></span>
                                    </h:commandLink>
                                    <h:commandLink id="updateActionButton"
                                                   title="#{messages['gazelle.hl7.validator.UpdateProfile']}"
                                                   action="#{hl7MPManagerBean.displaySelectedMessageProfileInEditMode(currentProfile)}"
                                                   oncomplete="jq162('#iconPopup').modal('show');">
                                        <span class="gzl-icon-pencil"></span>
                                    </h:commandLink>
                                </div>
                            </g:column>
                            <f:facet name="footer">
                                <ui:include src="/util/datatableFooter.xhtml">
                                    <ui:param name="dataScrollerId" value="ds"/>
                                    <ui:param name="dataTableId" value="profilesTable"/>
                                </ui:include>
                            </f:facet>
                        </rich:dataTable>
                        <ui:define name="panel_footer">
                            <a4j:commandButton id="refreshButton" onclick="#{rich:component('panelLoading')}.show();"
                                               oncomplete="#{rich:component('panelLoading')}.hide();"
                                               actionListener="#{hl7MPManagerBean.refreshProfilesList()}"
                                               styleClass="gzl-btn-blue" value="#{messages['gazelle.hl7mpr.refresh']}"
                                               render="profilesTable"/>
                        </ui:define>
                    </ui:decorate>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
